Bug 10284 - Missing spaces between label and content in XSLT view for 785/780
Summary: Missing spaces between label and content in XSLT view for 785/780
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-19 10:14 UTC by Katrin Fischer
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
XSLT view in OPAC (68.92 KB, image/png)
2013-05-19 10:14 UTC, Katrin Fischer
Details
Screenshot of MARC (33.70 KB, image/png)
2013-05-19 10:15 UTC, Katrin Fischer
Details
MARC fields/subfields (23.31 KB, image/png)
2013-05-19 10:20 UTC, Katrin Fischer
Details
Bug 10265: Add missing spaces between label and content in XSLT view (780/785) (2.73 KB, patch)
2013-05-19 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10284: Add missing spaces between label and content in XSLT view (780/785) (2.73 KB, patch)
2013-05-19 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10284: Add missing spaces between label and content in XSLT view (780/785) (2.72 KB, patch)
2013-05-22 00:09 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10284: Add missing spaces between label and content in XSLT view (780/785) (2.81 KB, patch)
2013-05-25 03:58 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-05-19 10:14:58 UTC
Created attachment 18237 [details]
XSLT view in OPAC

There should be a space between the label and the content for the 780 and 785 fields in the XSLT view in OPAC and staff.

See screenshots.
Comment 1 Katrin Fischer 2013-05-19 10:15:37 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-05-19 10:20:03 UTC
Created attachment 18240 [details]
MARC fields/subfields

I think only the the indicators and $a/$t are needed for reproducing the wrong display.
Comment 3 Katrin Fischer 2013-05-19 20:08:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-05-19 20:08:59 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-05-22 00:09:34 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2013-05-25 03:58:47 UTC
Created attachment 18403 [details] [review]
Bug 10284: Add missing spaces between label and content in XSLT view (780/785)

To test:
- Check OPAC and intranet XSLT view for a record that contains
  780 and 785 fields.
- Verify there is no space between the label and the content of the
  field.
- Apply patch.
- Verify the display both in intranet and OPAC is a little nicer now.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 7 Galen Charlton 2013-05-28 14:45:18 UTC
Pushed to master.  Thanks, Katrin!
Comment 8 Tomás Cohen Arazi 2013-06-03 15:51:45 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.
Comment 9 Bernardo Gonzalez Kriegel 2013-06-10 20:11:47 UTC
Pushed to 3.10.x, will be in 3.10.7
Comment 10 Chris Hall 2013-06-12 08:19:51 UTC
Pushed to 3.8.x, will be in 3.8.14.